import { Module } from '@nestjs/common';
import { TypeOrmModule } from '@nestjs/typeorm';

import { TaskService } from './task.service';
import { TaskController } from './task.controller';
import { TaskEntity } from './task.entity';
import { FactionEntity } from 'src/game/faction.entity';

@Module({
  imports: [TypeOrmModule.forFeature([TaskEntity, FactionEntity])],
  controllers: [TaskController],
  providers: [TaskService],
})
export class TaskModule {}
